Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    protected static abstract class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

Authors:
  Graeme Rocher

Field Summary
`protected Object[]` | `arguments`
`protected int` | `argumentsRequired`
`protected boolean` | `negation`
`protected java.lang.String` | `propertyName`
`protected java.lang.Class` | `targetClass`
`protected java.lang.String` | `type`

Method Summary
`protected static GrailsMethodExpression` | `create(GrailsApplication application, java.lang.Class clazz, java.lang.String queryParameter)`
`protected Criterion` | `getCriterion()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### arguments

    protected Object[] arguments

### argumentsRequired

    protected int argumentsRequired

### negation

    protected boolean negation

### propertyName

    protected java.lang.String propertyName

### targetClass

    protected java.lang.Class targetClass

### type

    protected java.lang.String type

Method Detail

### create

    protected static GrailsMethodExpression create(GrailsApplication application, java.lang.Class clazz, java.lang.String queryParameter)

### getCriterion

    protected Criterion getCriterion()

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation